Debian Bug report logs - #627808
/init: 239: mv: not found

version graph

Package: klibc; Maintainer for klibc is maximilian attems <maks@debian.org>;

Reported by: Matthew Foulkes <m.foulkes@blueyonder.co.uk>

Date: Tue, 24 May 2011 17:33:05 UTC

Severity: important

Fixed in version klibc/1.5.23-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#627808; Package initramfs-tools. (Tue, 24 May 2011 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Foulkes <m.foulkes@blueyonder.co.uk>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 17:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Foulkes <m.foulkes@blueyonder.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /init: 239: mv: not found
Date: Tue, 24 May 2011 18:30:11 +0100
Package: initramfs-tools
Version: 0.99
Severity: normal


After installing initramfs-tools 0.99, the following error message
started appearing very early in the boot process:

  /init: 239: mv: not found

Fortunately, the system still boots.

Unpacking /boot/initrd.img-2.6.38-2-amd64 showed that line 239 of the
init script is at the end of an "if" block containing two mv commands
related to /run and udev.

After installing busybox (which initramfs-tools recommends but does not
require) and running "update-initramfs -u", the error message vanished.

I do not pretend to understand how the initrd system works, but if
busybox is now required I guess that initramfs-tools should depend on
it. If not, this may be a bug.

-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 2.4M May 24 18:01 /boot/initrd.img-2.6.38-2-amd64
-- /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-amd64 root=UUID=0b7e18a7-8daa-400b-b785-77e83e31f0a9 ro quiet

-- resume
RESUME=UUID=b63932f9-3f86-4f3f-94a0-2e1d84b9e7c6
-- /proc/filesystems
	ext3
	fuseblk

-- lsmod
Module                  Size  Used by
ppdev                  12725  0 
lp                     17190  0 
fuse                   61520  1 
loop                   22515  0 
firewire_sbp2          17825  0 
option                 24802  0 
usb_wwan               17206  1 option
usbhid                 39900  0 
sg                     25769  0 
hid                    72616  1 usbhid
sr_mod                 21824  0 
cdrom                  35134  1 sr_mod
radeon                717227  2 
snd_intel8x0           30802  1 
snd_ac97_codec        106189  1 snd_intel8x0
ttm                    52155  1 radeon
firewire_ohci          30887  0 
drm_kms_helper         26893  1 radeon
usbserial              31986  2 option,usb_wwan
drm                   165567  4 radeon,ttm,drm_kms_helper
ohci_hcd               26400  0 
ehci_hcd               39529  0 
firewire_core          47683  2 firewire_sbp2,firewire_ohci
ac97_bus               12510  1 snd_ac97_codec
natsemi                30961  0 
pata_amd               13276  0 
snd_pcm                67327  2 snd_intel8x0,snd_ac97_codec
skge                   40243  0 
usbcore               122908  7 option,usb_wwan,usbhid,usbserial,ohci_hcd,ehci_hcd
i2c_nforce2            12584  0 
i2c_algo_bit           12834  1 radeon
power_supply           13475  1 radeon
floppy                 56861  0 
snd_seq                44678  0 
crc_itu_t              12347  1 firewire_core
shpchp                 31221  0 
snd_timer              22658  2 snd_pcm,snd_seq
snd_seq_device         13155  1 snd_seq
snd                    52280  8 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_seq,snd_timer,snd_seq_device
soundcore              13014  1 snd
tpm_tis                13125  0 
evdev                  17475  7 
i2c_core               23725  5 radeon,drm_kms_helper,drm,i2c_nforce2,i2c_algo_bit
edac_core              35344  0 
edac_mce_amd           17103  0 
pcspkr                 12579  0 
k8temp                 12531  0 
pci_hotplug            26711  1 shpchp
parport_pc             22191  1 
parport                31650  3 ppdev,lp,parport_pc
tpm                    17756  1 tpm_tis
tpm_bios               12903  1 tpm
snd_page_alloc         12969  2 snd_intel8x0,snd_pcm
serio_raw              12878  0 
nls_base               12753  1 usbcore
processor              27431  0 
button                 12994  0 
ext3                  112218  2 
jbd                    41698  1 ext3
mbcache                12930  1 ext3
sd_mod                 35501  4 
crc_t10dif             12348  1 sd_mod
sata_nv                26519  3 
ata_generic            12479  0 
libata                147240  3 pata_amd,sata_nv,ata_generic
scsi_mod              161457  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
fan                    12674  0 
thermal                17330  0 
thermal_sys            17939  3 processor,fan,thermal

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
BOOT=local
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- /sys/block
fd0
loop0
loop1
loop2
loop3
loop4
loop5
loop6
loop7
sda
sr0

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
dmsetup
keymap
klibc
thermal
udev


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.11-7     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1+b1 utilities for finding files--find,
ii  klibc-utils                   1.5.22-1   small utilities built with klibc f
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  udev                          167-3      /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                      1:1.17.1-10 Tiny utilities for small and embed

Versions of packages initramfs-tools suggests:
ii  bash-completion               1:1.3-1    programmable completion for the ba

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#627808; Package initramfs-tools. (Tue, 24 May 2011 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 17:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 627808@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Matthew Foulkes <m.foulkes@blueyonder.co.uk>, 627808@bugs.debian.org
Subject: Re: Bug#627808: /init: 239: mv: not found
Date: Tue, 24 May 2011 17:39:22 +0000
severity 627808 important
reassign 627808 klibc
stop

On Tue, May 24, 2011 at 06:30:11PM +0100, Matthew Foulkes wrote:
> 
> After installing initramfs-tools 0.99, the following error message
> started appearing very early in the boot process:
> 
>   /init: 239: mv: not found
> 
> Fortunately, the system still boots.

ooops.
I had forgotten that rename(2) wasn't implemented in a q&d klibc mv.
 
> Unpacking /boot/initrd.img-2.6.38-2-amd64 showed that line 239 of the
> init script is at the end of an "if" block containing two mv commands
> related to /run and udev.
> 
> After installing busybox (which initramfs-tools recommends but does not
> require) and running "update-initramfs -u", the error message vanished.
> 
> I do not pretend to understand how the initrd system works, but if
> busybox is now required I guess that initramfs-tools should depend on
> it. If not, this may be a bug.

It is indeed a bug, will see to have that for klibc 1.5.23

Thank you for report.

-- 
maks
 




Severity set to 'important' from 'normal' Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 24 May 2011 17:42:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'initramfs-tools' to 'klibc'. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 24 May 2011 17:42:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions initramfs-tools/0.99. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 24 May 2011 17:42:07 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Thu, 07 Jul 2011 22:33:21 GMT) Full text and rfc822 format available.

Notification sent to Matthew Foulkes <m.foulkes@blueyonder.co.uk>:
Bug acknowledged by developer. (Thu, 07 Jul 2011 22:33:21 GMT) Full text and rfc822 format available.

Message #21 received at 627808-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 627808-close@bugs.debian.org
Subject: Bug#627808: fixed in klibc 1.5.23-1
Date: Thu, 07 Jul 2011 22:32:27 +0000
Source: klibc
Source-Version: 1.5.23-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
klibc-utils-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.23-1_amd64.udeb
klibc-utils_1.5.23-1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.23-1_amd64.deb
klibc_1.5.23-1.debian.tar.gz
  to main/k/klibc/klibc_1.5.23-1.debian.tar.gz
klibc_1.5.23-1.dsc
  to main/k/klibc/klibc_1.5.23-1.dsc
klibc_1.5.23.orig.tar.bz2
  to main/k/klibc/klibc_1.5.23.orig.tar.bz2
libklibc-dev_1.5.23-1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.23-1_amd64.deb
libklibc-udeb_1.5.23-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.23-1_amd64.udeb
libklibc_1.5.23-1_amd64.deb
  to main/k/klibc/libklibc_1.5.23-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627808@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Jun 2011 17:32:53 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.23-1
Distribution: unstable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 627252 627808 629934
Changes: 
 klibc (1.5.23-1) unstable; urgency=low
 .
   * New upstream release (arm, dash sync, limits.h, ppc64)
     - minimal mv in klibc-utils.
     - refresh debian/patches/insmod
   * Add Fix-minimal-mv-to-work-across-fs.patch (closes: #627808)
   * Add armhf support. (closes: #627252)
     Thanks to Konstantinos Margaritis <markos@genesi-usa.com>.
   * Add klibc crosscompile support. (closes: #629934)
     Thanks to Steve McIntyre <steve.mcintyre@linaro.org>.
   * debian/copyright: Add specific BSD license text to keep lintian happy.
Checksums-Sha1: 
 01b3c695bda5f3e49ffdb3be4c8df80732998830 1193 klibc_1.5.23-1.dsc
 8fc75c8227870e13e836135a71aad21a49e16404 506362 klibc_1.5.23.orig.tar.bz2
 76f7c23ec0d35d47edf4c0a406842a29bb969c22 19990 klibc_1.5.23-1.debian.tar.gz
 fadf1ae39ea3c421cc47bf22c784f5bc8775f608 227250 libklibc-dev_1.5.23-1_amd64.deb
 7eda0ae0df6f59ae82791c2926550f709be75c24 54852 libklibc_1.5.23-1_amd64.deb
 51780013b8b9fc12fce653ec10ec4a47cb5767f0 177734 klibc-utils_1.5.23-1_amd64.deb
 b71d69b1b801b76bb0677ab802b4c8922a48f69a 176420 klibc-utils-udeb_1.5.23-1_amd64.udeb
 6ef6c37cf4203678c505c4e8b6e900112081e45b 24326 klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 6c76bec82b6529818c1b802121fb2da6d441c106 37044 libklibc-udeb_1.5.23-1_amd64.udeb
Checksums-Sha256: 
 1f1c747ecffcefe45bb4ed079a99466b90c01e98ef77a42187766b2f569affc0 1193 klibc_1.5.23-1.dsc
 71741882b8323fc1ce1c22a41b1901526c7fa2b7c97845d7a9558ca9d3931ef0 506362 klibc_1.5.23.orig.tar.bz2
 325785c2cf6c874f3ea5f7bfcdc727d7fcb027b794c8c9d20fc8da649e492835 19990 klibc_1.5.23-1.debian.tar.gz
 191b2f9d403f9ba456c518727a0b4320079a8a15f23c789abe726dbe8ae23e93 227250 libklibc-dev_1.5.23-1_amd64.deb
 ccdb2c8deca2c2e948f436f9f714976f17ee01d2699a3a515aa4b0aadbbcbc53 54852 libklibc_1.5.23-1_amd64.deb
 03fef49af6d63ca46922dc85dd265b086e38c74ccad20fea4d1f6a7c0f5f6bd6 177734 klibc-utils_1.5.23-1_amd64.deb
 f01dc7cd22201f4c3209b055942219bf21bf89a6452e215acf0a6b7171935080 176420 klibc-utils-udeb_1.5.23-1_amd64.udeb
 f916e589b96bfd611eb63c0bd275f6df1918ef42733d5ba2cb031b184eb09c72 24326 klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 23b6300198dd713633629b2c617884a94a97cffe528b727b35a4424d4c883096 37044 libklibc-udeb_1.5.23-1_amd64.udeb
Files: 
 cc35679b05fff63db744f962b262f32a 1193 libs optional klibc_1.5.23-1.dsc
 38a0ac99c4facd14443f4495b29aeff1 506362 libs optional klibc_1.5.23.orig.tar.bz2
 d7b392be6731b189f733b4c1b1af4ff1 19990 libs optional klibc_1.5.23-1.debian.tar.gz
 c6f6fb35183e7b7ddcfab0b771376f1c 227250 libdevel optional libklibc-dev_1.5.23-1_amd64.deb
 1baef201fb1a222a7f54bd1325cb3584 54852 libs optional libklibc_1.5.23-1_amd64.deb
 314d7031031897fe24367e2bc5be5819 177734 libs optional klibc-utils_1.5.23-1_amd64.deb
 e75253070c4950be8a0d049e02f91d02 176420 debian-installer optional klibc-utils-udeb_1.5.23-1_amd64.udeb
 396c6e93bda3902fdbbdec8579d6cab3 24326 debian-installer optional klibc-utils-floppy-udeb_1.5.23-1_amd64.udeb
 cddee3875b6c5ee84b2e9de60056a3c4 37044 debian-installer optional libklibc-udeb_1.5.23-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4WLj8ACgkQeW7Lc5tEHqirJwCdE3isz8qYAALGtw4yqqMSbaU/
p5IAoIj4Ba1sB2Ljoxv/0nWicxPmrTJp
=hSlw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Oct 2011 07:32:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:59:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.